<!--
<div class="historyWrapper">
    <button class="removeVideo " (click)="removeVideo()">X</button>
    <a (click)="playVideo()" class="btn btn-light special">{{ video.link }}</a>
    
</div>
-->

<ul class="videos">
    <li *ngFor="let video of videos">
        <div class="historyWrapper">
            <a (click)="playVideo(video)" class="btn btn-light special">
                <span class="badge">{{video.id}}</span> {{video.link}}
            </a>
            <button class="removeVideo" title="delete video" (click)="delete(video)">x</button>
        </div>
    </li>
</ul>